Subject: Re[2]: unofficial patches

From: Bob Woodside <[email-masked]>
Date: Fri, 27 Nov 1998 19:19:19 -0500 (EST)

Tomas Ogren <[email-masked]> wrote:
> 
> new_anim_shade is built upon shade_anim_1.3 and fixes some serious
> visual and semantic glitches (1.3 can turn into a while(1) loop if not
> careful with parameters)... I have brought this patch along, and have it
> up-to-date with current cvs if it's wanted.
> 
> I use it every day and it has caused no harm what-so-ever (since my
> patches). I find it more pleasing to watch it zip together (and I use it
> a lot on Sparcstation LX's and such, which has very limited cpu power).
> 
> It's not bloat, and it would be nice if it went in (I'll send an
> up-to-date version if so)... diffstat:
>  5 files changed, 101 insertions, 23 deletions

	I had planned on trying to rework this patch to put the animation
code into a module - an extension to FvwmAnimate, if Dan had no objection -
after 2.2 was out. 

	In reality, the current Windowshade Animation adds very little code
to the core. Tomas is quite right, it's not bloat. I personally would not
mind seeing it in 2.2, if others want it; I, too, had been using it in
2.0.46 for well over a year and was sorry it didn't make the cut. (Actually,
I'd been using a monstrously hacked version - more on that below.)

	However, I do have a couple of reservations.

	First, I had wanted to re-implement it as module code as an exercise
in adding new features with minimal impact on the core code. I could easily
give up this idea, since there are any number of other things I might use to
play with this technique.

	Second, I wanted to "bloat" Windowshade Animation a bit. I had
experimented with some different, non-linear, stepping algorithms (Fibonacci
and fractional progressions, etc.), to allow fine-tuning the animation for a
smoother or more realistic windowshade effect; and I think the feature wants
a few extra tuning options. This might argue for putting the code out into a
module.

	If people want to see the present version included in 2.2, could I
suggest a minor simplification? How about using GlobalOpts to set the number
of animation steps, and store it in the ScreenInfo structure, instead of
adding a whole new command? This would make the code size hit even smaller,
as well as simplifying the code.

	On that subject, I think it wouldn't be a bad idea to remove the man
page comment that GlobalOpts is a temporary hack for things that will be Style
options after the GSFR, and consider using it regularly for adding options
of a, well, global nature, instead of going through the rigamarolle of adding
a new command. Any opinions pro or con?

	Alternatively, Tomas, if you'd like to experiment with modularizing
the animation code, I'd be happy to collaborate with you on it.

- Bob

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Mon, 30 Nov 1998 11:14:47 +0100

> I'd been using a monstrously hacked version - more on that below.)

Could you enlighten me what the patch actually does? Animated window shades
would seem pretty useless to me since they are not wider than a pixel, so
I assume this is something else (I didn't try the patch).

> a new command. Any opinions pro or con?

Whatever happens to the GlobalOpts command, most of it's options will
definitely be removed someday, so this warning makes sense after all.

Bye

Dominik
-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Tomas Ogren <[email-masked]>
Date: Mon, 30 Nov 1998 14:32:14 +0100

> I assume this is something else (I didn't try the patch).

Instead of going from a full window to the title-bar only, it shrinks to
the right size... And then grows when un-shading... Nothing really
useful, but makes things look neat.. like animated menus.. 8)
Speed customizable (# steps).

/Tomas
-- 
Tomas Ögren, [email-masked], http://www.ing.umu.se/~stric/
|- Student of Computer Science at the University of Umeå
`- Sysadmin at {ing,acc}.umu.se
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Mon, 30 Nov 1998 08:45:41 -0500

> code into a module - an extension to FvwmAnimate, if Dan had no objection -

No objection at all.

--
Dan Espen                                Phone: (732) 699-5570
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Tim Phipps <[email-masked]>
Date: Mon, 30 Nov 1998 13:50:18 +0000

> code into a module - an extension to FvwmAnimate, if Dan had no objection -

Are you planning an making FvwmAnimate do other types of animation?

> a few extra tuning options. This might argue for putting the code out into a

You could use the code from AnimatedMove, It uses a list of numbers from
SetAnimation to control the effects.  No need to put fancy algorithms in
the code.  We can run a competition after 2.2 comes out to get the most
spiffy looking effect.

> as well as simplifying the code.

I'd vote for using the SetAnimation numbers.

> a new command. Any opinions pro or con?

I'd like to see the animation sequence be part of the style.  Some
programs may get upset by the refreshes generated by WindowShade and it
would be useful to have these unshade in one go. Maybe a per style
animation sequence that is used for WindowShade, AnimatedMove and
AnimatedResize. 

I think the GlobalOpts should be marked as temporary since most of the
things it refers to would be more useful as part of the style stuff.

Cheers,
Tim.